commit:     3ab41e097caa4a39f508aee73da35d51bb9d69c4
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  8 21:56:11 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Apr  8 21:56:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ab41e09

app-misc/todo: add patch to fix bash completion.

Courtesy of Ferenc Erki <erkiferenc <AT> gmail.com>.

Gentoo-Bug: https://bugs.gentoo.org/614400

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 .../todo/files/todo-2.10-fix-bash-completion.patch | 12 ++++++++
 app-misc/todo/todo-2.10-r1.ebuild                  | 35 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/app-misc/todo/files/todo-2.10-fix-bash-completion.patch 
b/app-misc/todo/files/todo-2.10-fix-bash-completion.patch
new file mode 100644
index 00000000000..7e6de2f1056
--- /dev/null
+++ b/app-misc/todo/files/todo-2.10-fix-bash-completion.patch
@@ -0,0 +1,12 @@
+--- ./todo_completion  2017-04-08 15:18:23.102736966 +0200
++++ ./todo_completion  2017-04-08 15:18:56.839725605 +0200
+@@ -85,6 +85,9 @@
+ }
+ complete -F _todo todo.sh
+ 
++# Gentoo bug 614400
++complete -F _todo todotxt
++
+ # If you define an alias (e.g. "t") to todo.sh, you need to explicitly enable
+ # completion for it, too:
+ #complete -F _todo t

diff --git a/app-misc/todo/todo-2.10-r1.ebuild 
b/app-misc/todo/todo-2.10-r1.ebuild
new file mode 100644
index 00000000000..5fa2cd242a9
--- /dev/null
+++ b/app-misc/todo/todo-2.10-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit bash-completion-r1
+
+DESCRIPTION="A CLI-based TODO list manager"
+HOMEPAGE="http://todotxt.com/";
+SRC_URI="https://github.com/ginatrapani/${PN}.txt-cli/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="app-shells/bash"
+
+PATCHES=( "${FILESDIR}/${P}-fix-bash-completion.patch" )
+
+S="${WORKDIR}/${PN}.txt-cli-${PV}"
+
+DOCS=( README.textile CONTRIBUTING.md LICENSE todo.cfg )
+
+src_test() {
+       make test || die "tests failed"
+}
+
+src_install() {
+       dobin "${PN}.sh"
+       dosym "/usr/bin/${PN}.sh" "/usr/bin/${PN}txt"
+       newbashcomp "${PN}_completion" "${PN}.sh"
+       bashcomp_alias "${PN}.sh" "${PN}txt"
+       einstalldocs
+}

Reply via email to